Home

# Class goog.ds.PrimitiveFastDataNode

Creates a new data node wrapping a primitive value.

extends goog.ds.AbstractFastDataNode

Instance Method Summary
| `get() ⇒ <Any Type>` Returns the value of this data node.
| `getChildNode(string name) ⇒ ?goog.ds.DataNode` Get a child node by name. Always returns null.
| `getChildNodeValue(string name) ⇒ ?Object` Returns the value of a child node. Always returns null.
| `getChildNodes() ⇒ ?goog.ds.DataNodeList` Returns child nodes of this data node. Always returns an unmodifiable, empty list.
| `getJsObject() ⇒ <Any Type>` Returns a javascript object representation of this data node. You should not modify the object returned by this function.
| `isList() ⇒ boolean` Returns whether this data node is a list. Always returns false for instances of PrimitiveFastDataNode.
| `set((boolean|number|string) value)` Sets this data node to a new value.
| `setChildNode(string name, ?Object value)` Not supported by primitive data nodes.